<?php

// inclusao do arquivo com a funcao para envio de email com autenticacao SMTP
require('includes/phpmailer/hdw-phpmailer.php');



$mensagem			= "";


// recebe os campos do formulário
$TipoVeiculo 		= trim($_REQUEST['TipoVeiculo']);
$Restricao 			= trim($_REQUEST['Restricao']);
$Objetivo 			= trim($_REQUEST['Objetivo']);	
$Interesse	 		= trim($_REQUEST['Interesse']);
$Quitado 			= trim($_REQUEST['Quitado']);
$VeiculoEmNome 		= trim($_REQUEST['VeiculoEmNome']);
$CPF 				= trim($_REQUEST['CPF']);
$Celular			= trim($_REQUEST['Celular']);
$DataNascimento		= trim($_REQUEST['DataNascimento']);
$ValorPrecisa 		= trim($_REQUEST['ValorPrecisa']);
$Placa 				= trim($_REQUEST['Placa']);
$QualVeiculo 		= trim($_REQUEST['QualVeiculo']);
$VersaoVeiculo 		= trim($_REQUEST['VersaoVeiculo']);
$AnoVeiculo 		= trim($_REQUEST['AnoVeiculo']);
$Email 				= trim($_REQUEST['E-mail']);
$Parcelas 			= trim($_REQUEST['Parcelas']);				
$NomeCompleto 		= trim($_REQUEST['NomeCompleto']);
$Endereco 			= trim($_REQUEST['Endereco']);
$Numero 			= trim($_REQUEST['Numero']);
$Bairro 			= trim($_REQUEST['Bairro']);
$Complemento 		= trim($_REQUEST['Complemento']);
$Cidade 			= trim($_REQUEST['Cidade']);
$Estado 			= trim($_REQUEST['Estado']);
$Genero 			= trim($_REQUEST['Genero']);
$RG 				= trim($_REQUEST['RG']);
$EstadoNascimento 	= trim($_REQUEST['EstadoNascimento']);
$CidadeNascimento 	= trim($_REQUEST['CidadeNascimento']);
$NomeMae 			= trim($_REQUEST['NomeMae']);
$EstadoCivil 		= trim($_REQUEST['EstadoCivil']);
$Ocupacao 			= trim($_REQUEST['Ocupacao']);
$RendaMensal 		= trim($_REQUEST['RendaMensal']);
$NumeroBeneficio 	= trim($_REQUEST['NumeroBeneficio']);
$EmpresaTrabalho 	= trim($_REQUEST['EmpresaTrabalho']);
$TelefoneEmpresa 	= trim($_REQUEST['TelefoneEmpresa']);
$TempoEmpresa 		= trim($_REQUEST['TempoEmpresa']);
$Cargo 				= trim($_REQUEST['Cargo']);
$CNPJ 				= trim($_REQUEST['CNPJ']);
$ComprovaRenda 		= trim($_REQUEST['ComprovaRenda']);
$NomeReferencia 	= trim($_REQUEST['NomeReferencia']);
$TelefoneReferencia = trim($_REQUEST['TelefoneReferencia']);
			



// define a data e hora da mensagem
date_default_timezone_set('America/Sao_Paulo');
$datahora = date('d/m/Y H:i:s');



// define o IP de envio da mensagem
$IP = $_SERVER['REMOTE_ADDR'];



// define o assunto da mensagem
$emailAssunto = "LEAD - " . " " . $TipoVeiculo;



// define o texto da mensagem em HTML
$emailMensagem = "
<strong>{$emailAssunto}</strong><br />
<hr />

<strong>Tipo de Veiculo:</strong> {$TipoVeiculo}<br />
<strong>Restrição SPC/Serasa:</strong> {$Restricao}<br />
<strong>Objetivo:</strong> {$Objetivo}<br />
<strong>Interesse:</strong> {$Interesse}<br />
<strong>O Veículo está quitado:</strong> {$Quitado}<br />
<strong>Veículo está em Nome:</strong> {$VeiculoEmNome}<br />
<br />
<strong>CPF:</strong> {$CPF}<br />
<strong>Celular:</strong> {$Celular}<br />
<strong>Data de Nascimento:</strong> {$DataNascimento}<br />
<strong>Valor que Precisa:</strong> {$ValorPrecisa}<br />
<strong>Placa:</strong> {$Placa}<br />
<br />
<strong>Veículo:</strong> {$QualVeiculo}<br />
<strong>Versão do Veículo:</strong> {$VersaoVeiculo}<br />
<strong>Ano:</strong> {$AnoVeiculo}<br />
<strong>E-mail:</strong> {$Email}<br />
<strong>Parcelas:</strong> {$Parcelas}<br />
<br />
<strong>Nome Completo:</strong> {$NomeCompleto}<br />
<strong>Endereço:</strong> {$Endereco}<br />
<strong>Número:</strong> {$Numero}<br />
<strong>Bairro:</strong> {$Bairro}<br />
<strong>Complemento:</strong> {$Complemento}<br />
<strong>Cidade:</strong> {$Cidade}<br />
<strong>Estado:</strong> {$Estado}<br />
<br />
<strong>Gênero:</strong> {$Genero}<br />		
<strong>RG:</strong> {$RG}<br />
<strong>Estado que Nasceu:</strong> {$EstadoNascimento}<br />
<strong>Cidade que Nasceu:</strong> {$CidadeNascimento}<br />
<strong>Nome da Mâe:</strong> {$NomeMae}<br />
<strong>Estado Civil:</strong> {$EstadoCivil}<br />
<br />
<strong>Ocupação:</strong> {$Ocupacao}<br />
<strong>Renda Mensal:</strong> {$RendaMensal}<br />
<strong>Número do Benefício:</strong> {$NumeroBeneficio}<br />
<strong>Empresa que Trabalha:</strong> {$EmpresaTrabalho}<br />
<strong>Telefone da Empresa:</strong> {$TelefoneEmpresa}<br />
<strong>Tempo de Empresa:</strong> {$TempoEmpresa}<br />
<strong>Cargo:</strong> {$Cargo}<br />
<strong>CNPJ:</strong> {$CNPJ}<br />
<strong>Como comprova renda:</strong> {$ComprovaRenda}<br />
<br />
<strong>Nome de Referência:</strong> {$NomeReferencia}<br />
<strong>Telefone de Referência:</strong> {$TelefoneReferencia}<br />
<br />
<strong>Mensagem:</strong><br />
{$mensagem}<br />

<hr />
<strong>Data/Hora:</strong> {$datahora}<br />
<strong>IP:</strong> {$IP}<br />
<br />
";



// inicia configuracoes do email

// DADOS DO REMETENTE (quem envia o email)
$emailDe = array();


// informe o email do remetente
// IMPORTANTE: este email deve obrigatoriamente ser do mesmo dominio do site
$emailDe['from']		= 'contato@agilliza.net';


// informe o nome do remetente
$emailDe['fromName']	= $nome; // por padrao puxa o nome preenchido no formulario


// informe o email para resposta
// pode ser informado qualquer email de qualquer dominio
$emailDe['replyTo']		= $email; // por padrao puxa o email preenchido no formulario


// informe o email de retorno em caso de erro
// IMPORTANTE: este email deve obrigatoriamente ser do mesmo dominio do site
$emailDe['returnPath']	= 'contato@agilliza.net';


// informe o email para envio de confirmacao de leitura (opcional)
// deixe vazio para nao enviar confirmacao
// IMPORTANTE: este email deve obrigatoriamente ser do mesmo dominio do site
$emailDe['confirmTo']	= '';



// DADOS DO DESTINATARIO (quem ira receber o email)
$emailPara = array();


// informe ao menos um email de destinatario, o nome é opcional
// IMPORTANTE: podem ser adicionados varios destinatarios, fique atento a numeracao do array!
// #1
$emailPara[1]['to']		= 'app.agilliza@gmail.com';
$emailPara[1]['toName']	= 'LEAD - VEICULOS';


//dados são enviados para app.agilliza@gmail.com que filtra e encaminha para contato@agilliza.net. O email app@agilliza.net autentica apenas...

// DADOS DA CONTA SMTP PARA AUTENTICACAO DO ENVIO
$SMTP = array();
$SMTP['host']		= 'mail.agilliza.net';
$SMTP['port']		= 587; // para o gmail utilize 587
$SMTP['encrypt']	= 'tls'; // ssl ou tls ou vazio, para o gmail utilize tls
$SMTP['username']	= 'app@agilliza.net'; // recomendamos criar uma conta de email somente para ser utilizada aqui
$SMTP['password']	= 'app@agilliza.net@'; // pois cada vez que a senha for alterada este arquivo tambem devera ser atualizado
$SMTP['charset']	= 'utf-8'; // 'utf-8' ou 'iso-8859-1', siga o padrao do arquivo para nao haver erros na acentuacao
$SMTP['priority']	= 3; // prioridade: 1=alta; 3=normal; 5=baixa;


// DEBUG (ajuda para descobrir erros)
// - use TRUE para ver os erros de envio
// - uma vez configurado e funcionando obrigatoriamente utilize FALSE
$SMTP['debug'] = FALSE;


// faz o envio
$mail = sendEmail($emailDe, $emailPara, $emailAssunto, $emailMensagem, $SMTP);


// em caso de erro
if($mail !== TRUE){
	// redireciona ou exibe uma mensagem de erro
	//header('location: erro.html');
	echo('Nao foi possivel enviar a mensagem.<br />Erro: '.$mail);
	exit;
}


// em caso de sucesso
// redireciona ou exibe a mensagem de agradecimento
header('location: https://app.agilliza.net/ficha_veiculos.html'); exit;
?>
<html>
<body>

</body>
</html>